package com.ssj.bean.kmt.kmtsys.model;

import com.ssj.bean.kmt.kmt.domain.KmtQuestion;

import java.io.Serializable;
import java.util.List;


public class TreeDataModel implements Serializable{
	
	/**
	 * 
	 */
	private static final long serialVersionUID = -3467443651157316921L;

	private String id;
	
	private String areaId;
	
	private String questionId;
	
	private String name;
	
	private String code;
	
	private KmtQuestion kmtQuestion;
	
	private boolean open=true;
	
	private List<TreeDataModel> children;

	
	public String getCode() {
		return code;
	}

	public void setCode(String code) {
		this.code = code;
	}

	public KmtQuestion getKmtQuestion() {
		return kmtQuestion;
	}

	public void setKmtQuestion(KmtQuestion kmtQuestion) {
		this.kmtQuestion = kmtQuestion;
	}

	public String getId() {
		return id;
	}

	public void setId(String id) {
		this.id = id;
	}

	public String getAreaId() {
		return areaId;
	}

	public void setAreaId(String areaId) {
		this.areaId = areaId;
	}

	public String getQuestionId() {
		return questionId;
	}

	public void setQuestionId(String questionId) {
		this.questionId = questionId;
	}

	public String getName() {
		return name;
	}

	public void setName(String name) {
		this.name = name;
	}

	public boolean isOpen() {
		return open;
	}

	public void setOpen(boolean open) {
		this.open = open;
	}

	public List<TreeDataModel> getChildren() {
		return children;
	}

	public void setChildren(List<TreeDataModel> children) {
		this.children = children;
	}
	
	


}
